/* You can add global styles to this file, and also import other style files */

$fa-font-path: "~@fortawesome/fontawesome-free/webfonts";
@import "@fortawesome/fontawesome-free/scss/fontawesome.scss";
@import "@fortawesome/fontawesome-free/scss/solid";
@import "@fortawesome/fontawesome-free/scss/regular";

@import "~ng-pick-datetime/assets/style/picker.min.css";
//@import "~animate.css/animate.min";
.nav-item {
    cursor: pointer;
}

.card-selection {
    cursor: pointer;
}

.owl-dt-calendar-table .owl-dt-calendar-cell-selected {
    color: rgba(255, 255, 255, 0.85);
    background-color: #469c72 !important;
}

.owl-dt-calendar-table .owl-dt-calendar-cell-content {
    border-radius: 8px !important;
}

.owl-dt-calendar-body tr,
.owl-dt-calendar-header tr {
    border-bottom: 1px #ffffff solid !important;
}

.contenedor-responsive {
    height: calc(100vh - 14rem) !important;
}

.enlace-style:hover {
    background-color: #f3f9f8 !important;
}

.enlace-later {
    color: gray;
}

.enlace-later:hover {
    color: #484848;
    text-decoration: underline;
}

.btn-facebook {
    background-color: #4267b2 !important;
    color: white !important;
    border: transparent !important;
}

.btn-facebook:hover {
    background-color: #385897 !important;
}

.footer-curve {
    position: fixed;
    bottom: 0;
    width: 100%;
    //z-index: 1000000 !important;
}

.item-movil {
    display: none;
}

.color-primary {
    color: #009b72;
}
.padding-movil {
    padding: 0px 20px !important;
}
.padding-responsive{
    padding-right: 12px !important;
    padding-left: 12px !important;
    font-size: inherit;
}
.button-filtrar{
    color: #469C72;
    text-align: right;
    font-weight: 700;
}
@media (max-width: 900px) {
    .timeline {
        margin: 0px 0px 0px 45px;
    }
    .padding-responsive{
        padding-right: 0px !important;
        padding-left: 0px !important;
        font-size: 4vw;
    }
    .padding-movil {
        padding: 0px 0px !important;
    }
    .btn-amarillo-movil {
        background-color: #ffdb59 !important;
        color: white !important;
        border: transparent !important;
    }
    .btn-amarillo-movil:hover {
        background-color: #f8cf3c !important;
    }
    .item-movil {
        display: flex;
    }
}

.ciudad-paso {
    margin-bottom: 20px;
}

.ciudad-paso .icon-times {
    position: absolute;
    width: 12px;
    height: 12px;
    line-height: 12px;
    top: 18px;
    right: 14px;
    opacity: 0;
    cursor: pointer;
}

.ciudad-paso:hover .icon-times {
    opacity: 1;
}

.fecha_ida,
.fecha_vuelta {
    display: flex;
}

.label_hour {
    height: 1.09rem;
}

.fecha_width,
.hora_width {
    width: 50%;
}

.fecha_width {
    margin-right: 10px;
}

.owl-dt-container-buttons {
    color: #469c72 !important;
}

.mensaje_rutaInvalid {
    background-color: #fff3c9;
    padding: 12px;
    border: 1px solid #ffdb58;
}



.ruta-line {
    padding: 10px;
}

.aportacion-viaje .form-control {
    height: calc(1em + 1.3rem + 1px) !important;
    width: 50%;
}

.pack-1.selected,
.pack-2.selected,
.pack-3.selected {
    color: #469c72;
}

.pack-1.selected-size,
.pack-2.selected-size,
.pack-3.selected-size {
    color: #469c72;
}

.pack-1 {
    font-size: 30px;
    margin-left: 20px;
    margin-right: 20px;
    cursor: pointer;
}

.pack-2 {
    font-size: 40px;
    margin-right: 20px;
    cursor: pointer;
}

.pack-3 {
    font-size: 50px;
    margin-right: 20px;
    cursor: pointer;
}

.align-center {
    display: flex !important;
    align-items: center !important;
}

.price-valid {
    color: #469c72 !important;
}

.price-invalid {
    color: #f53f5b !important;
}

.direccion-decoration {
    text-overflow: ellipsis;
    overflow: hidden;
    -webkit-flex-basis: 0;
    white-space: nowrap;
    text-align: left;
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: 0;
    -webkit-box-flex: 1;
    box-flex: 1;
    -webkit-flex-grow: 1;
}

.row-direccion {
    margin-top: 15px;
}

.letras-pequeñas {
    font-size: 14px;
    margin: 10px;
    color: #00000073;
}

.enlace-later {
    cursor: pointer;
}

.icon-resumen {
    font-size: 23px;
    color: #469c72;
}

.icon-alert {
    font-size: 36px;
    color: #469c72;
}

.container-icon-resumen {
    display: flex;
    justify-content: center;
    align-items: center;
}

.toast-error {
    background-color: #a92922 !important;
}

.toast-warning {
    background-color: #ffdb59 !important;
}

.toast-success {
    background-color: #019972 !important;
}

.toast-container .ngx-toastr {
    width: 400px !important;
    box-shadow: none !important;
}

.ngx-loading-text {
    font-family: Nunito, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !important;
}

.country-list {
    height: 200px !important;
    overflow: scroll !important;
    width: 250px !important;
}

.intl-tel-input .custom {
    display: block;
    width: 100%;
    height: calc(1.5em + 1.375rem + 2px);
    padding: 0.6875rem 0.75rem;
    font-size: 1rem;
    font-weight: 600;
    line-height: 1.5;
    color: #555a64;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #eaedf2;
    border-radius: 0.1875rem;
    box-shadow: none !important;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.input-numero .separate-dial-code {
    display: flex !important;
}

.selected-dial-code {
    font-size: 1rem !important;
}

.group-med{
    width: 50% !important;
}
.pac-icon{
    display: none !important;
    background-image: none !important;
}

.pac-item{
    padding-left: 15px !important;
    cursor: pointer !important;
}

.filtro-row{
    padding: 10px 0px;
    border-top: 1px solid #eaedf2;
    border-bottom: 1px solid #eaedf2;
    margin: 20px 0px;
}

.filtro-item{
    margin: 0px !important;
    color: #469c72 !important; 
    cursor: pointer !important;
}


.padding-form{
   padding-top: 3rem;
}

.input-jumbo-range{
    top: 0px;
    left: 0px;
    display: block;
    margin: 10px 0px !important;
    text-align: center;
    font-size: 40px !important;
    border: none !important;
    -webkit-appearance: none;
    width: 100%;
    background: transparent;
}

.icon-add-minus{
    height: 3rem;

    cursor: pointer;
}

.content-icon{
    display: flex;
    justify-content: center;
    align-items: center;
}


.viaje-content{
    border-radius: 20px;
    border: 1px solid #eceff1;
    min-height: 200px !important;
    margin-bottom: 16px;
    cursor: pointer;
}
.viaje-content:hover{
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1pt 2pt, rgba(0, 0, 0, 0.08) 0px 1pt 2pt;
}
.viaje-data{
    background-color: rgb(255, 255, 255);
    top: 72px;
    height: 76px;
    padding-top: 0;
    padding-bottom: 0;
    justify-content: flex-start;
    position: sticky;
    display: flex;
    align-items: flex-end;
    z-index: 5;
    transition: top 250ms ease-in-out;
    margin-bottom: 50px;
}


.header-sticky{
    position: sticky;
    z-index: 1030;
    background-color: white;
    top: 70px;
}

.card-viaje{
    height: 230px;
    padding: 25px 30px !important;
}

#content {
    margin-top: 50px;
    text-align: center;
  }
  /* Timeline */

  .timeline {
    border-left: 3px dotted #2c3038;
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;
    background: rgba(255, 255, 255, 0.03);
    margin: 0px 0px 0px 65px;
    position: relative;
    line-height: 1.0em;
    padding: 0px;
    list-style: none;
    text-align: left;
  }
  .timeline:after{
    position:absolute;
    top:0%;
    right:100%;
    width:3px;
    height:0%;
    background:#469c72;
    display:block;
    content:'';
    transition: height 0.5s ease-in-out;
  }
  .card-viaje:hover .timeline:after{
    height:100%;
 
  }
  .timeline h1,
  .timeline h2,
  .timeline h3,
  .timeline span {
    color: #2c3038;
   }
  .timeline .event {
    border-bottom: 1px dashed rgba(255, 255, 255, 0.1);
    padding-bottom: 25px;
    margin-bottom: 0px;
    position: relative;
  }
  .timeline .event:last-of-type {
    padding-bottom: 0;
    margin-bottom: 0;
    border: none;
  }
  .timeline .event:before,
  .timeline .event:after {
    position: absolute;
    display: block;
    top: 0;
  }
  .timeline .event:before {
    left: -67.5px;
    content: attr(id);
    text-align: right;
    color: #2c3038;
    min-width: 50px;
  }
  .timeline .event:after {
    box-shadow: 0 0 0 3px #2c3038;
    left: -5.85px;
    background: white;
    border-radius: 50%;
    height: 8px;
    z-index: 999999;
    width: 8px;
    content: "";
    top: 0px;
  }
  .timeline .event:last-of-type:after {
    box-shadow: 0 0 0 3px #2c3038;
    left: -5.85px;
    background: white;
    border-radius: 50%;
    height: 8px;
    z-index: 999999;
    width: 8px;
    content: "";
    top: 8px;
  }

  .card-viaje:hover .timeline .event:after{
    box-shadow: 0 0 0 3px #469c72;
  }

  .name-lugar{
    margin-left: 20px !important;
  }
  .name-lugar-detalle{
    margin-left: 20px !important;
  }

  .timeline-time {
    border-left: 3px solid #2c3038 !important;
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;
    background: rgba(255, 255, 255, 0.03);
    color: rgba(255, 255, 255, 0.8);
    font-family: "Source Sans Pro", sans-serif;
    margin: 0px 0px 0px 65px;
    letter-spacing: 0.5px;
    position: relative;
    line-height: 1.0em;
    padding: 0px;
    list-style: none;
    text-align: left;
    font-weight: 100;
  }

  .card-viaje:hover .timeline-time:after{
    height:100%;
  }
  .timeline-time h1,
  .timeline-time h2,
  .timeline-time h3,
  .timeline-time span {
    font-weight: 700;
    color: #2c3038;
    font-family: Nunito, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !important;
  }
  .timeline-time .event {
    border-bottom: 1px dashed rgba(255, 255, 255, 0.1);
    padding-bottom: 25px;
    margin-bottom: 0px;
    position: relative;
  }
  .timeline-time .event:last-of-type {
    padding-bottom: 0;
    margin-bottom: 0;
    border: none;
  }
  .timeline-time .event:before,
  .timeline-time .event:after {
    position: absolute;
    display: block;
    top: 0;
  }
  .timeline-time .event:before {
    left: -67.5px;
    content: attr(id);
    text-align: right;
    font-weight: 700;
    color: #2c3038;
    font-family: Nunito, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !important;
    min-width: 50px;
  }
  .timeline-time .event:after {
    box-shadow: 0 0 0 3px #2c3038 !important;
    left: -5.85px;
    background: white;
    border-radius: 50%;
    height: 8px;
    z-index: 999999;
    width: 8px;
    content: "";
    top: 0px;
  }
  .timeline-time .event:last-of-type:after {
    box-shadow: 0 0 0 3px #2c3038 !important;
    left: -5.85px;
    background: white;
    border-radius: 50%;
    height: 8px;
    z-index: 999999;
    width: 8px;
    content: "";
    top: 8px;
  }
  .timeline-time .event:before {
    left: -80px !important;
    height: 80px;
    display: flex;
    align-items: inherit;
  }
  .timeline-time .event:last-of-type:after {
    top: 80px !important;
  }


  .direccion-detalle{
    color: black !important;
    text-align: center !important;
    font-size: 1.1rem !important;
    display: block;
  }
  .time-detalle{
    text-align: left !important;
    font-size: 0.9rem !important;
    display: block;
    margin: 15px 0px 0px;
  }
 
 

  .conductor-detail{
    cursor: pointer;
    padding: 10px 0px;
  }
  .conductor-detail:hover{
    background-color: #f8f8f8;
  }
  .car-detail{
    padding: 10px 0px;
  }

  .icon-detail{
    font-size: 18px;
    color: #469c72;
  }

  .direccion-exacta{
    text-align: left !important;
    font-size: 16px !important;
    display: block;
  }

  #mapDetail{
    height: calc(100vh - 85px);
} 

#floating-arrow {
    position: absolute;
    top: 10px;
    left: 5%;
    width: 46px !important;
    z-index: 5;
    background-color: #fff;
    padding: 4px 1px !important;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 1px 4px -1px;
    text-align: center;
    line-height: 30px;
  }
  .list-preferencias{
      padding: 0 !important;
  }
  .list-preferencias li{
    list-style: none !important;
  }
  .list-resumen{
    padding: 0 !important; 
  }  
  .list-resumen li{
    list-style: none !important;
  }

  .resumen-filtro{
    min-height: 75px;
    background-color: #eeeeee;
    margin: 10px 10px;
    border-radius: 10px;
    cursor: pointer;
}

.resumen-resultado{
    min-height: 25px;
    margin: 10px 0px 0px;
}

.svg-facebook path[fill] {
    fill: #3b5998 !important;
}



.name-lugar-responsive{
    max-width: 40% !important;
}


.section-opacity {
    opacity: 1;
}

.section-opacity button[aria-pressed="true"],
[role="button"][aria-pressed="true"]{
    opacity: 0.1;
}


.headerwhite{
    background-color: white !important;
    color:black !important;
}
.navbar.headerwhite.navbar-dark .navbar-nav .nav-link {
    color: rgba(0, 0, 0, .7);
}
.navbar.headerwhite.navbar-dark .navbar-nav .nav-link:hover {
    color: rgba(0, 0, 0, .7);
}


.gm-style-iw {
    font-family: Nunito, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !important;
}

.icon-cancel{
    font-size: 2rem;
    cursor: pointer;
}
.icon-cancel:hover{
    color: red;
}

.section-opacity-class{
    opacity: 0.3;
}
.fechaDetalleViaje{
    font-size: 2rem;text-align: center;color: black;text-transform: capitalize;
}
.hover-card-detalle{
    padding: 10px;
    cursor: pointer;
    border-radius: 10px;
}
.orderResponsive{
    order:1;
}
.container-reservar{
    padding: 1rem !important;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, .09);
    border: 0px solid #eceff1;
    background-color: none;
}
.padding-reserva{
    padding: 0px 12px !important;
}
.container-trayecto {
    max-width: 100% !important;
    padding-right: 0px !important;
    padding-left: 70px !important;
}
.resumenViaje{
    text-align: inherit;
}
.container-icon-resumen i{
    margin: 0px;
    font-size: 23px;
}

.side-menu-body{
    width: 400px !important;
}
@media (max-width: 900px) {
    .side-menu-body{
        width: 100% !important;
    }
  
    .container-icon-resumen i{
        margin: 20px;
        font-size: 2rem;
    }
    .resumenViaje{
        text-align: center;
    }
    .container-trayecto {
        max-width: 100% !important;
        padding-right: 12px !important;
        padding-left: 12px !important;
    }
    .padding-reserva{
        padding: 0px !important;
    }
    .container-reservar{
        padding: 1rem !important;
        box-shadow: 0 0rem 0rem rgba(0, 0, 0, .09);
        border: 2px solid #eceff1;
        background-color: #eceff10f;
    }
    .orderResponsive{
        order:-1;
    }
  
    .fechaDetalleViaje{
        font-size: 1.8rem;
        text-align: center;
        color: black;
        text-transform: capitalize;
    }
    .timeline {
        margin: 0px 0px 0px 45px;
    }
}

